Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:3.4.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28423

Description

Using qgis 3.4.1, when displaying attributes of type INT via WFS 1.1.0 (Geoserver), NULL values is displayed as "0". WFS does not

transmit nodes with null values in GML, and qgis should not interpret these as "0". This issue was produced both in qgis 2.18.25 (LTS)

and 3.4.1 on different machines here. This issue references #18674, which was closed as not replicable.

History

#1 - 2018-11-23 12:59 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please provide an URL we can use for tests.

#2 - 2018-11-27 08:03 AM - Frode Hansen

- File snip_20181127080240.png added

This is a Geoserver test service: 

http://82.147.38.116/geoserver/TI_TestWorkspace/wfs?Request=GetCapabilities&#38;typeNames=TI_TestWorkspace:poi_heop2

example. the attribute "type" will show null values as described.

#3 - 2018-11-27 01:15 PM - Giovanni Manghi

- Operating System deleted (Windows 8 and Windows 10)

- Status changed from Feedback to Open

#4 - 2019-02-06 10:42 PM - Even Rouault

- Status changed from Open to Feedback

The test URL doesn't respond. Could you make sure the server is properly setup ?

#5 - 2019-03-08 11:55 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to no timely feedback
Closing for lack of feedback.
